SAFEXCEL(4)

NAME
safexcel - Inside Secure SafeXcel-IP-97 security packet engine

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device crypto
device cryptodev
device safexcel

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    safexcel_load="YES"

DESCRIPTION
The safexcel driver implements crypto(4) support for the cryptographic acceleration functions of the EIP-97 device found on some Marvell systems-on-chip. The driver can accelerate the following AES modes:

•   AES-CBC
•   AES-CTR
•   AES-XTS
•   AES-GCM
•   AES-CCM

safexcel also implements SHA1 and SHA2 transforms, and can combine AES-CBC and AES-CTR with SHA1-HMAC and SHA2-HMAC for encrypt-then-authenticate operations.

SEE ALSO
crypto(4), ipsec(4), random(4), crypto(7), geli(8), crypto(9)

HISTORY
The safexcel driver first appeared in FreeBSD 13.0.